Bug 209538 - Allow mod_admserv to build with mozldap5/6
Allow mod_admserv to build with mozldap5/6
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Admin (Show other bugs)
1.0.2
All All
medium Severity medium
: ---
: ---
Assigned To: Rich Megginson
Viktor Ashirov
:
Depends On:
Blocks: 152373 fds103trackingbug 240316
  Show dependency treegraph
 
Reported: 2006-10-05 17:19 EDT by Rich Megginson
Modified: 2015-12-07 11:57 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 11:57:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
diffs for fix (5.54 KB, patch)
2006-10-05 17:19 EDT, Rich Megginson
no flags Details | Diff
new diffs (5.53 KB, patch)
2006-10-05 18:52 EDT, Rich Megginson
no flags Details | Diff
cvs commit log (1.88 KB, text/plain)
2006-10-05 19:11 EDT, Rich Megginson
no flags Details

  None (edit)
Description Rich Megginson 2006-10-05 17:19:54 EDT
mod_admserv needs to be able to build with mozldap versions 5 or 6.
Comment 1 Rich Megginson 2006-10-05 17:19:54 EDT
Created attachment 137871 [details]
diffs for fix
Comment 2 Noriko Hosoi 2006-10-05 18:26:53 EDT
It may not be necessary to think of this possibility, but if there are multiple
versions of LDAP C SDK accidentally installed in $LDAPSDKLIBDIR, e.g.,
libldap50.so, and libldap60.so, then libldap50.so would be picked up first and
it sets ldapsdk_ver=50...  I think it'd be nice if we can do it with the
descendant order (or pick up the higher number?)

+if test -z "$ldapsdk_ver" ; then
+   # figure out version of ldapsdk
+    for file in $LDAPSDKLIBDIR/libldap??.so* ; do
+        case $file in
+        *libldap60.so*) ldapsdk_ver=60 ;;
+        *) ldapsdk_ver=50 ;;
+        esac
+        break
+    done   
+fi
+
Comment 3 Rich Megginson 2006-10-05 18:52:22 EDT
Created attachment 137879 [details]
new diffs

Thanks Noriko.	Here are the new diffs.  If it finds 60 libs, it breaks out of
the for loop.  Otherwise, it keeps looking for 50 libs.
Comment 4 Noriko Hosoi 2006-10-05 19:00:36 EDT
Looks cool!
Comment 5 Rich Megginson 2006-10-05 19:11:14 EDT
Created attachment 137881 [details]
cvs commit log

Reviewed by: nhosoi (Thanks!)
Files: see diff
Branch: HEAD
Fix Description: If there is a mozldap6 package on the system, assume
the lib suffix is 60, otherwise, 50.  If no mozldap package is on the
system, look for libldap60.so* in the given ldapsdk_lib directory.  If
found, assume 60, otherwise, 50.
There were also a few problems with the way we were looking for ICU,
mostly copy/paste errors, but one was that pkg-config does not have an
icu package on some systems, so you have to use icu-config instead.
Noriko pointed out that if both 50 and 60 libs are in the same dir, the 50 libs
will be selected first - we want 60 libs to have preference. The new diffs will
select 60 libs if found, or 50 libs if not.
Platforms tested: FC5
Flag Day: no
Doc impact: no
Comment 6 Anh Nguyen 2007-12-03 10:39:26 EST
Changed QA Whiteboard to to_be_verified_by_dev.
Comment 7 Nathan Kinder 2007-12-14 18:58:40 EST
We are currently building adminserver (which builds mod_admserv) using mozldap
version 6 as the default across numerous platforms, even if mozldap 5 is on the
system.  Marking as verified.

Note You need to log in before you can comment on or make changes to this bug.